Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## be.ehealth.technicalconnector.service
Class ServiceFactory

    java.lang.Object
      be.ehealth.technicalconnector.service.ServiceFactory

    public final class ServiceFactory

extends Object

Factory class for creating the Services.

Method Summary
`static void` | `flushCache()`
`static AuthorityService` | `getAuthorityService()` Gets the Authority service.
`static ConsultService` | `getConsultService()` Deprecated. replaced by `getConsultServiceV2()`
`static ConsultServiceV2` | `getConsultServiceV2()` Gets the Consult service.
`static IdSupportService` | `getIdSupportService()` Gets the `IdSupportService` service.
`static KeyDepotService` | `getKeyDepotService()` Gets the KeyDepot service.
`static KgssService` | `getKgssService()` Gets the KGSS service.
`static SealsService` | `getSealsService()` Gets the Seals service.
`static SingleSignOnService` | `getSingleSignOnService()` Get the `SingleSignOnService` service.
`static STSService` | `getStsService()` Gets the STS service.

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Method Detail

### getSealsService

    public static SealsService getSealsService()
                                        throws TechnicalConnectorException

  Gets the Seals service.

  Throws:
    `TechnicalConnectorException`

### getKeyDepotService

    public static KeyDepotService getKeyDepotService()
                                              throws TechnicalConnectorException

  Gets the KeyDepot service.

  Throws:
    `TechnicalConnectorException`

### getKgssService

    public static KgssService getKgssService()
                                      throws TechnicalConnectorException

  Gets the KGSS service.

  Throws:
    `TechnicalConnectorException`

### getStsService

    public static STSService getStsService()
                                    throws TechnicalConnectorException

  Gets the STS service.

  Throws:
    `TechnicalConnectorException`

### getAuthorityService

    public static AuthorityService getAuthorityService()
                                                throws TechnicalConnectorException

  Gets the Authority service.

  Throws:
    `TechnicalConnectorException`

### getConsultService

    @Deprecated
    public static ConsultService getConsultService()
                                            throws TechnicalConnectorException

  Deprecated. replaced by `getConsultServiceV2()`

  Gets the Consult service.

  Throws:
    `TechnicalConnectorException`

### getConsultServiceV2

    public static ConsultServiceV2 getConsultServiceV2()
                                                throws TechnicalConnectorException

  Gets the Consult service.

  Throws:
    `TechnicalConnectorException`

### getIdSupportService

    public static IdSupportService getIdSupportService()
                                                throws TechnicalConnectorException

  Gets the `IdSupportService` service.

  Throws:
    `TechnicalConnectorException`

### getSingleSignOnService

    public static SingleSignOnService getSingleSignOnService()
                                                      throws TechnicalConnectorException

  Get the `SingleSignOnService` service.

  Throws:
    `TechnicalConnectorException`

### flushCache

    public static void flushCache()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Connector Packaging PERSPHYSICIAN 3.24.0-beta-4 API
Copyright © {inceptionYear}-2022 eHealth. All Rights Reserved.